import type { LocaleContextArg } from './locale-context';
import { MessageValue, Meta } from './message-value';
/**
 * A child class of {@link MessageValue} for starting markup elements.
 *
 * @beta
 */
export declare class MessageMarkup extends MessageValue<string> {
    options: Record<string, unknown>;
    operand?: MessageValue;
    constructor(locale: LocaleContextArg, name: string, { kind, meta, operand, options, source }: {
        kind: 'open' | 'close';
        meta?: Readonly<Meta>;
        operand?: MessageValue;
        options?: Readonly<Record<string, unknown>>;
        source?: string;
    });
    selectKey(): null;
    toString(): string;
}
