"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageMarkup = void 0;
const message_value_1 = require("./message-value");
const MARKUP_START = 'markup-start';
const MARKUP_END = 'markup-end';
/**
 * A child class of {@link MessageValue} for starting markup elements.
 *
 * @beta
 */
class MessageMarkup extends message_value_1.MessageValue {
    constructor(locale, name, { kind, meta, operand, options, source }) {
        const type = kind === 'open' ? MARKUP_START : MARKUP_END;
        super(type, locale, name, { meta, source });
        this.options = { ...options };
        if (operand)
            this.operand = operand;
    }
    selectKey() {
        return null;
    }
    toString() {
        const sigil = this.type === MARKUP_START ? '+' : '-';
        return `{${sigil}${this.value}}`;
    }
}
exports.MessageMarkup = MessageMarkup;
